> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Rooms > Get all opened rooms (all joined public & private channels and all DMs) of the authenticated user. ### Changelog | Version | Description | | ------- | --------------| | 0.72.0 | Added | ## OpenAPI ````json GET /api/v1/rooms.get { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/rooms.get": { "get": { "tags": [ "Rooms" ], "summary": "Get Rooms", "description": "Get all opened rooms (all joined public & private channels and all DMs) of the authenticated user.\n\n### Changelog\n| Version | Description |\n| ------- | --------------|\n| 0.72.0 | Added |", "operationId": "get-api-v1-rooms.get", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "name": "updatedSince", "in": "query", "description": "A date as an ISO string. When you provide the `updatedSince` query parameter, then the update and remove in the response will contain only those updated and removed since the specified date and time.", "schema": { "type": "string" }, "example": "2017-11-25T15:08:17.248Z" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "update": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "ts": { "type": "string" }, "t": { "type": "string" }, "name": { "type": "string" }, "usernames": { "type": "array", "items": { "type": "string" } }, "msgs": { "type": "integer" }, "usersCount": { "type": "integer" }, "_updatedAt": { "type": "string" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" } } }, "default": { "type": "boolean" }, "lastMessage": { "type": "object", "properties": { "_id": { "type": "string" }, "t": { "type": "string" }, "rid": { "type": "string" }, "ts": { "type": "string" }, "msg": { "type": "string" }, "alias": { "type": "string", "nullable": true }, "attachments": { "type": "array", "items": { "$ref": "#/components/schemas/Attachment" } }, "file": { "type": "object", "properties": { "_id": { "type": "string" }, "name": { "type": "string" }, "type": { "type": "string" } } }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" } } }, "groupable": { "type": "boolean" }, "drid": { "type": "string" }, "_updatedAt": { "type": "string" }, "urls": { "type": "array", "items": { "type": "object", "properties": { "url": { "type": "string" }, "meta": { "type": "object", "properties": {} } } } }, "mentions": { "type": "array", "items": { "type": "object", "properties": {} } }, "channels": { "type": "array", "items": { "type": "object", "properties": {} } }, "md": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "string", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "string" }, "src": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "string" } } }, "label": { "type": "array", "items": { "type": "object", "properties": { "type": { "type": "string" }, "value": { "type": "string" } } } } } } } } } } } } } } }, "lm": { "type": "string" }, "uids": { "type": "array", "items": { "type": "string" } }, "ro": { "type": "boolean" }, "sysMes": { "type": "boolean" } } } }, "remove": { "type": "array", "items": { "type": "object", "properties": {} } }, "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "update": [ { "_id": "GENERAL", "ts": "2024-02-14T14:34:49.365Z", "t": "c", "name": "general", "usernames": [], "msgs": 55, "usersCount": 36, "_updatedAt": "2024-07-16T08:49:34.732Z", "u": { "_id": "rocket.cat", "username": "rocket.cat", "name": "Rocket.Cat" }, "default": true, "lastMessage": { "_id": "668fc2bbffe932842327c1ff", "t": "discussion-created", "rid": "GENERAL", "ts": "2024-07-11T11:32:11.22Z", "msg": "Discussion", "u": { "_id": "5m4hjvzCTRCqwPrD2", "username": "Rama", "name": "Raghav Ram" }, "groupable": false, "drid": "668fc2bbffe932842327c1fd", "_updatedAt": "2024-07-11T11:32:11.22Z" }, "lm": "2024-07-11T11:32:11.22Z" }, { "_id": "WbYJfC5kTArcECGkpfZ3bvXC72pobjFPLJ", "t": "d", "usernames": [ "user2", "user1" ], "usersCount": 2, "msgs": 2, "ts": "2024-07-10T13:48:14.998Z", "uids": [ "WbYJfC5kTArcECGkp", "fZ3bvXC72pobjFPLJ" ], "default": false, "ro": false, "sysMes": true, "_updatedAt": "2024-07-10T13:48:28.3Z", "lastMessage": { "_id": "XHjLcN3pCe8snaoTm", "rid": "WbYJfC5kTArcECGkpfZ3bvXC72pobjFPLJ", "msg": "again", "ts": "2024-07-10T13:48:28.262Z", "u": { "_id": "fZ3bvXC72pobjFPLJ", "username": "user1", "name": "user1" }, "_updatedAt": "2024-07-10T13:48:28.296Z", "urls": [], "mentions": [], "channels": [], "md": [ { "type": "PARAGRAPH", "value": [ { "type": "PLAIN_TEXT", "value": "again" } ] } ] }, "lm": "2024-07-10T13:48:28.262Z" }, { "_id": "fZ3bvXC72pobjFPLJrocket.cat", "t": "d", "usernames": [ "user1", "rocket.cat" ], "usersCount": 2, "msgs": 15, "ts": "2024-02-21T02:00:01.657Z", "uids": [ "fZ3bvXC72pobjFPLJ", "rocket.cat" ], "default": false, "ro": false, "sysMes": true, "_updatedAt": "2024-07-17T02:00:05.203Z", "lastMessage": { "rid": "fZ3bvXC72pobjFPLJrocket.cat", "msg": "*Update your Rocket.Chat*\nNew version available (6.10.0)\nhttps://github.com/RocketChat/Rocket.Chat/releases/tag/6.10.0", "ts": "2024-07-17T02:00:05.161Z", "u": { "_id": "rocket.cat", "username": "rocket.cat", "name": "Rocket.Cat" }, "_id": "c4PzLLTy4fDSCmm4F", "_updatedAt": "2024-07-17T02:00:05.198Z", "urls": [ { "url": "https://github.com/RocketChat/Rocket.Chat/releases/tag/6.10.0", "meta": {} } ], "mentions": [], "channels": [], "md": [ { "type": "PARAGRAPH", "value": [ { "type": "BOLD", "value": [ { "type": "PLAIN_TEXT", "value": "Update your Rocket.Chat" } ] } ] }, { "type": "PARAGRAPH", "value": [ { "type": "PLAIN_TEXT", "value": "New version available (6.10.0)" } ] }, { "type": "PARAGRAPH", "value": [ { "type": "LINK", "value": { "src": { "type": "PLAIN_TEXT", "value": "https://github.com/RocketChat/Rocket.Chat/releases/tag/6.10.0" }, "label": [ { "type": "PLAIN_TEXT", "value": "https://github.com/RocketChat/Rocket.Chat/releases/tag/6.10.0" } ] } } ] } ] }, "lm": "2024-07-17T02:00:05.161Z" } ], "remove": [], "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "schemas": { "Attachment": { "type": "object", "properties": { "ts": { "type": "string", "example": "1970-01-01T00:00:00Z" }, "title": { "type": "string" }, "title_link": { "type": "string" }, "title_link_download": { "type": "boolean" }, "image_dimensions": { "type": "object", "properties": { "width": { "type": "integer", "example": 444 }, "height": { "type": "integer", "example": 360 } } }, "image_preview": { "type": "string", "example": "/9j/2wBDAAYEBQ..." }, "image_url": { "type": "string", "example": "/file-upload/PNTaE9SBQasdpAwk2/img_1.jpg" }, "image_type": { "type": "string", "example": "image/jpeg" }, "image_size": { "type": "integer", "example": 26674 }, "type": { "type": "string", "example": "file" }, "description": { "type": "string", "example": "" } } } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } } } } ````